Fix: track-untrack.c: regression of `--all --pid` option ordering
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_10app
index 90ef81963bfd57868726dc9682557176caae0388..c9f8403e13e5c961a7775c2d59442d2faa329bf3 100755 (executable)
@@ -57,8 +57,6 @@ function check_sessiond()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
@@ -114,11 +112,10 @@ function sighandler()
 {
        cleanup
        rm $LOG_FILE
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.025599 seconds and 5 git commands to generate.